Template: knot-resolver/upgrade-buster-to-bullseye
Type: note
_Description: Upgrading from Knot Resolver < 5.x
 Knot Resolver configuration file requires manual upgrade.
 .
 Up to Knot Resolver 4.x, network interface bindings and service
 start were done by default via systemd sockets. These systemd sockets
 are no longer supported, and upgrading from a 3.x version (as in Debian
 Buster) requires manual action to (re)enable the service.
 .
 Please refer to kresd.systemd(7) and to the
 /usr/share/doc/knot-resolver/upgrading.html file (from
 knot-resolver-doc). An online version of the latter is available at
 https://knot-resolver.readthedocs.io/en/stable/upgrading.html#x-to-5-x
 .
 For convenience, a suggested networking configuration can be found in
 the file /var/lib/knot-resolver/.upgrade-4-to-5/kresd.conf.net
